libgphoto2 photo camera library (libgphoto2) API 2.5.2

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

_Camera |
_CameraAbilitiesList |
_CameraFile |
_CameraFileHandler |
_CameraFileInfo | File information structure
_CameraFileInfoAudio | File information of an audio file
_CameraFileInfoFile | File information of a regular file
_CameraFileInfoPreview | File information of a preview file
_CameraFilesystem | The internal camera filesystem structure
_CameraFilesystemFile |
_CameraFilesystemFolder |
_CameraFilesystemFuncs |
_CameraFunctions | Various camera specific functions
_CameraList |
_CameraPrivateCore |
_CameraStorageInformation | Storage information structue
_CameraWidget |
_entry |
_GPContext |
_GPPort | The GPhoto port structure
_GPPortInfo |
_GPPortInfoList |
_GPPortOperations | The port operations
_GPPortPrivateCore | Internal private libgphoto2_port data. This structure contains private data
_GPPortSettings | Union of port settings
_GPPortSettingsSerial | Port settings for serial ports
_GPPortSettingsUSB | Port settings for USB ports
_GPPortSettingsUsbDiskDirect | Port settings for USB mass storage direct IO ports
_GPPortSettingsUsbScsi | Port settings for USB Mass Storage raw SCSI ports
CameraAbilities | Describes the properties of a specific camera
CameraFile | File structure
CameraFilePath | A structure created by the capture operation
CameraText | CameraText structure used in various functions
chunk |
exif_parser |
ExifData |
foreach_data_t |
jpeg |
LogFunc | Internal logging function entry
Setting |